Bug 186269 - (silverstreak) X hangs with Radeon 7000 card
X hangs with Radeon 7000 card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 11:53 EST by Zubin Bharucha
Modified: 2008-08-02 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (3.66 KB, text/plain)
2006-03-25 08:12 EST, Kari Karvonen
no flags Details
Xorg.0.log-dri (68.80 KB, text/plain)
2006-03-25 08:12 EST, Kari Karvonen
no flags Details
Xorg.0.log-nodri (65.71 KB, text/plain)
2006-03-25 08:13 EST, Kari Karvonen
no flags Details
xorg.conf file with load dri commented out and radeon driver instead of vesa (2.67 KB, text/plain)
2006-03-26 14:18 EST, Zubin Bharucha
no flags Details
xorg log file with load dri commented out and vesa driver replaced by radeon (52.06 KB, text/plain)
2006-03-26 14:26 EST, Zubin Bharucha
no flags Details

  None (edit)
Description Zubin Bharucha 2006-03-22 11:53:51 EST
Description of problem:
Upon boot, FC5 hangs either at the startup screen (where you enter your username
and password) or shortly after either Gnome or KDE have loaded.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Switch computer on, start FC5
2.Enter username and password, session Gnome or KDE
3.
  
Actual results:
Computer completely hangs - nothing responds - not even keystrokes.

Expected results:
Properly working system

Additional info:
I solved the problem by choosing "vesa" as my graphics card.
Comment 1 Zubin Bharucha 2006-03-22 14:27:31 EST
I think this problem is somehow connected to my Radeon 7000 graphics card.
Comment 2 Kari Karvonen 2006-03-22 17:05:49 EST
I have ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE] and experienced
same kind of problems after upgrading FC4 to FC5. 
Comment 3 Rudi Chiarito 2006-03-23 09:29:36 EST
I see no problems on a FC5 system with a RV200 QV (Radeon 7500), but another
system with a PCI RV280 [Radeon 9200 SE] crashes the whole computer as soon as X
starts. I am quite sure it is the radeon driver, because the system has another
graphic card (nVidia AGP using the nv driver) for a second head and using that
alone does not cause any problems. Needless to say, X worked fine under FC4
(with the minor exception of the Radeon's DVI output, which I never got to work,
probably due to a hardware bug).
Comment 4 Rudi Chiarito 2006-03-23 09:39:08 EST
I forgot to mention that the "vesa" workaround doesn't seem to work in my case,
probably because the VESA driver tries to use the nVidia card rather than the
Radeon.
Comment 5 Mike A. Harris 2006-03-23 16:39:26 EST
Zubin, Kari:

Using the "radeon" driver, please attach your X server config file and log file
from the problematic setup, using the link below.

Next, try commenting out the xorg.conf line:  Load "dri"
Then restart X (or reboot) and see if this makes any difference.  Please
update the report with your results and we will continue troubleshooting.

Thanks in advance.



Rudi:

Your problem sounds like a different issue than what is reported here
initially.  Please file a separate bug report for your issue, and include
full details, and attach your X server log and config file to the new
report after filing it also.  Also try the same suggestion I mentioned
here.

There are multiple unrelated problems in the Radeon driver currently, some
which have the same symptoms, and the same workarounds sometimes work, even
though the actual problem may be caused by different bugs in the driver.
The radeon driver is in quite a flux at the moment, however Ben Herrenschmidt
and others have been doing stabilization work upstream and a new version
should be released soon which will likely solve many issues, and hopefully
the problems you guys are experiencing as well.

Hope this helps.
Comment 6 Kari Karvonen 2006-03-25 08:12:04 EST
Created attachment 126713 [details]
xorg.conf

Gabo's xorg.conf  dri commented out
Comment 7 Kari Karvonen 2006-03-25 08:12:56 EST
Created attachment 126714 [details]
Xorg.0.log-dri

Gabo's Xorg.0.log with dri enabled
Comment 8 Kari Karvonen 2006-03-25 08:13:43 EST
Created attachment 126715 [details]
Xorg.0.log-nodri

Gabo's Xorg.0.log with dri disabled
Comment 9 Kari Karvonen 2006-03-25 08:18:06 EST
(In reply to comment #5)
> Zubin, Kari:
> 
> Using the "radeon" driver, please attach your X server config file and log file
> from the problematic setup, using the link below.

Done

> Next, try commenting out the xorg.conf line:  Load "dri"
> Then restart X (or reboot) and see if this makes any difference.  Please
> update the report with your results and we will continue troubleshooting.

Commenting out Load "dri" from xorg.conf works for me. My machine doesn't hang
anymore.
Comment 10 Zubin Bharucha 2006-03-26 14:18:24 EST
Created attachment 126776 [details]
xorg.conf file with load dri commented out and radeon driver instead of vesa
Comment 11 Zubin Bharucha 2006-03-26 14:19:40 EST
Comment on attachment 126776 [details]
xorg.conf file with load dri commented out and radeon driver instead of vesa

I did this and the system works like a charm.
Comment 12 Zubin Bharucha 2006-03-26 14:26:17 EST
Created attachment 126777 [details]
xorg log file with load dri commented out and vesa driver replaced by radeon

System works fine like this.
Comment 13 Victor Bogado 2006-03-27 08:32:58 EST
Does your system were in a SMP configuration, when this happened? I have a
hyperthreading laptop that shows the same problem you describe, but my solution
was to load a non SMP kernel (disabling in fact the hyperthreading). 

I will try to comment out the DRI module to see if it has the same result. 
Comment 14 Zubin Bharucha 2006-03-27 09:10:33 EST
(In reply to comment #13)
> Does your system were in a SMP configuration, when this happened? I have a
> hyperthreading laptop that shows the same problem you describe, but my solution
> was to load a non SMP kernel (disabling in fact the hyperthreading). 
I only have the SMP kernel unfortunately. I was wondering why I don't have the
non-SMP one too.
> 
> I will try to comment out the DRI module to see if it has the same result. 

Comment 15 MIke Mellinger 2006-04-06 10:42:30 EDT
I have experienced this problem in both FC4 and FC5.  Currently running FC5 on 
new server.  Xorg hangs on startup although everything else starts up 
normally.  No console at all.  KB nonresponsive.  System monitor run using 
remote Xvnc shows Xorg consuming all of one processor and part of the other.

Commenting out the load dri in xorg.conf seems to resolve the problem.

System has two processors.  Problem occurs most of the time on boot although 
slightly less frequently if I turn off "hyper-threading" on both processors.

Comment 16 Andrew Gaul 2006-07-08 14:10:36 EDT
This still happens with kernel-2.6.17-1.2145_FC5 and xorg-x11-drv-ati-6.5.8.0-1
.  Commenting out "Load DRI" works around the problem.
Comment 17 Matěj Cepl 2007-02-07 03:40:21 EST
Wov, there is a long list of people on Cc of this bug! If it is possible, could
you please try to reproduce this with the latest update to your system (either
or even both FC5 and FC6)? Thanks a lot.
Comment 18 Adam Jackson 2007-05-26 15:10:03 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.